Loading...
Searching...
No Matches
fastjet::CompositeJetStructure Class Reference
Access to extra information

The structure for a jet made of pieces. More...

`#include <fastjet/CompositeJetStructure.hh>`

Inheritance diagram for fastjet::CompositeJetStructure:
[legend]
Collaboration diagram for fastjet::CompositeJetStructure:
[legend]

## Public Member Functions

| CompositeJetStructure ()
| default ctor
| CompositeJetStructure (const std::vector< PseudoJet > &initial_pieces, const JetDefinition::Recombiner *recombiner=0)
| ctor with initialisation
virtual | ~CompositeJetStructure ()
| default dtor
virtual std::string | description () const override
| description
virtual bool | has_constituents () const override
| true unless the jet has no pieces (see also the description of constituents() below)
virtual std::vector< PseudoJet > | constituents (const PseudoJet &jet) const override
| return the constituents (i.e.
virtual bool | has_pieces (const PseudoJet &) const override
| true if it has pieces (always the case)
virtual std::vector< PseudoJet > | pieces (const PseudoJet &jet) const override
| returns the pieces
virtual bool | has_area () const override
| check if it has a well-defined area
virtual double | area (const PseudoJet &reference) const override
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const override
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const override
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const override
| true if this jet is made exclusively of ghosts.
void | discard_area ()
| disable the area of the composite jet
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor
virtual bool | has_associated_cluster_sequence () const
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_exclusive_subjets () const
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const
| return the list of subjets obtained by unclustering the supplied jet down to nsub subjets (or all constituents if there are fewer than nsub).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.

## Protected Attributes

std::vector< PseudoJet > | _pieces
| the pieces building the jet
PseudoJet * | _area_4vector_ptr
| pointer to the 4-vector jet area

## Detailed Description

The structure for a jet made of pieces.

This stores the vector of the pieces that make the jet and provide the methods to access them

Definition at line 49 of file CompositeJetStructure.hh.

## Constructor & Destructor Documentation

## CompositeJetStructure() [1/2]

fastjet::CompositeJetStructure::CompositeJetStructure | ( |  | ) |

inline

default ctor

Definition at line 54 of file CompositeJetStructure.hh.

## CompositeJetStructure() [2/2]

fastjet::CompositeJetStructure::CompositeJetStructure | ( | const std::vector< PseudoJet > & | initial_pieces,
|  | const JetDefinition::Recombiner * | recombiner = 0 )

ctor with initialisation

Definition at line 46 of file CompositeJetStructure.cc.

## ~CompositeJetStructure()

virtual fastjet::CompositeJetStructure::~CompositeJetStructure | ( |  | ) |

inline virtual

default dtor

Definition at line 61 of file CompositeJetStructure.hh.

## Member Function Documentation

## description()

std::string fastjet::CompositeJetStructure::description | ( |  | ) | const

override virtual

description

Reimplemented from fastjet::PseudoJetStructureBase.

Reimplemented in fastjet::FilterStructure.

Definition at line 83 of file CompositeJetStructure.cc.

## has_constituents()

bool fastjet::CompositeJetStructure::has_constituents | ( |  | ) | const

override virtual

true unless the jet has no pieces (see also the description of constituents() below)

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 92 of file CompositeJetStructure.cc.

## constituents()

std::vector< PseudoJet > fastjet::CompositeJetStructure::constituents | ( | const PseudoJet & | jet | ) | const

override virtual

return the constituents (i.e.

the union of the constituents of each piece)

If any of the pieces has no constituent, the piece itself is considered as a constituent Note that as a consequence, a composite jet with no pieces will have an empty vector as constituents

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 103 of file CompositeJetStructure.cc.

## has_pieces()

virtual bool fastjet::CompositeJetStructure::has_pieces | ( | const PseudoJet & |  | ) | const

inline override virtual

true if it has pieces (always the case)

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 86 of file CompositeJetStructure.hh.

## pieces()

std::vector< PseudoJet > fastjet::CompositeJetStructure::pieces | ( | const PseudoJet & | jet | ) | const

override virtual

returns the pieces

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 120 of file CompositeJetStructure.cc.

## has_area()

bool fastjet::CompositeJetStructure::has_area | ( |  | ) | const

override virtual

check if it has a well-defined area

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 129 of file CompositeJetStructure.cc.

## area()

double fastjet::CompositeJetStructure::area | ( | const PseudoJet & | reference | ) | const

override virtual

return the jet (scalar) area.

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 134 of file CompositeJetStructure.cc.

## area_error()

double fastjet::CompositeJetStructure::area_error | ( | const PseudoJet & | reference | ) | const

override virtual

return the error (uncertainty) associated with the determination of the area of this jet.

Be conservative: return the sum of the errors

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 149 of file CompositeJetStructure.cc.

## area_4vector()

PseudoJet fastjet::CompositeJetStructure::area_4vector | ( | const PseudoJet & | reference | ) | const

override virtual

return the jet 4-vector area.

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 161 of file CompositeJetStructure.cc.

## is_pure_ghost()

bool fastjet::CompositeJetStructure::is_pure_ghost | ( | const PseudoJet & | reference | ) | const

override virtual

true if this jet is made exclusively of ghosts.

In this case, it will be true if all pieces are pure ghost

Reimplemented from fastjet::PseudoJetStructureBase.

Definition at line 171 of file CompositeJetStructure.cc.

## discard_area()

void fastjet::CompositeJetStructure::discard_area | ( |  | ) |

inline

disable the area of the composite jet

this can be used e.g. to discard the area of a composite jet made of pieces with non-explicit-ghost area since the area may by erroneous in that case

Definition at line 132 of file CompositeJetStructure.hh.

## Member Data Documentation

## _pieces

std::vector<PseudoJet> fastjet::CompositeJetStructure::_pieces

protected

the pieces building the jet

Definition at line 140 of file CompositeJetStructure.hh.

## _area_4vector_ptr

PseudoJet* fastjet::CompositeJetStructure::_area_4vector_ptr

protected

pointer to the 4-vector jet area

Definition at line 141 of file CompositeJetStructure.hh.

The documentation for this class was generated from the following files:

- include/fastjet/CompositeJetStructure.hh
- src/CompositeJetStructure.cc